{{#if this.niceValue}}
  <TextWithOptions @options={{@options.paragraphStyle}} @tag="p" @deviceSize={{@deviceSize}} data-path="{{@path}}.paragraphStyle" data-type={{@type}}
    data-name={{@name}} data-gid={{@gid}} class="nice-value" ...attributes>{{!
      }}<MarkDownInline @value={{this.niceValue}} />{{!
}}</TextWithOptions>
{{/if}}

{{#unless (eq this.numericValue null)}}
  <TextWithOptions @options={{@options.paragraphStyle}} @tag="p" @deviceSize={{@deviceSize}} data-path="{{@path}}.paragraphStyle" data-type={{@type}}
    data-name={{@name}} data-gid={{@gid}} class="nice-value" ...attributes>{{!
      }}{{format-number this.numericValue}}{{!
}}</TextWithOptions>
{{/unless}}

{{#if this.blocks}}
  <Article::Viewer @path={{@path}} @name={{@name}} @gid={{@gid}} @deviceSize={{@deviceSize}}
    @options={{@options}} @isEditor={{@isEditor}} @value={{@value}} />
{{/if}}